# $Revision: 1.69 $, $Date: 2012/05/29 14:12:12 $
# TODO: drop --disable-ecore-evas-software-8-x11 when fixed (xcb_api only)
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	xcb		# force disabling XCB usage
%bcond_with	xcb_api		# XCB instead of Xlib (highly experimental, no XIM module)
                                # must be consistent with xcb_api setting in evas!
%bcond_without	cares		# use c-ares
%bcond_without	scim		# SCIM module
%bcond_with	wayland		# Wayland library module (requires xkbcommon, not yet available)
#
%if %{without xcb}
%undefine	xcb_api
%endif
%if %{with xcb_api}
%undefine	with_wayland
%define		xapi	xcb
%else
%define		xapi	xlib
%endif
Summary:	Enlightened Core X interface library
Summary(pl.UTF-8):	Biblioteka interfejsu X Enlightened Core
Name:		ecore
Version:	1.2.0
Release:	1
License:	BSD
Group:		X11/Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	1c15dbe3696e90acda6b30b3588e68c9
Patch0:		%{name}-sh.patch
URL:		http://trac.enlightenment.org/e/wiki/Ecore
BuildRequires:	DirectFB-devel >= 0.9.16
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
%if %{with cares}
BuildRequires:	c-ares-devel >= 1.6.1
%endif
BuildRequires:	curl-devel
BuildRequires:	eina-devel >= 1.2.0
# for disabled config library
#BuildRequires:	eet-devel >= 1.6.0
BuildRequires:	evas-devel(%{xapi}) >= 1.2.0
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gnutls-devel >= 2.10.2
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.22
%{?with_scim:BuildRequires:	scim-devel}
BuildRequires:	tslib-devel
%if %{with xcb_api}
BuildRequires:	libxcb-devel
BuildRequires:	pixman-devel
BuildRequires:	xcb-util-devel >= 0.3.8
BuildRequires:	xcb-util-image-devel
BuildRequires:	xcb-util-keysyms-devel >= 0.3.8
BuildRequires:	xcb-util-wm-devel >= 0.3.8
%else
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.3
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
# xorg-lib-libXgesture-devel
%endif
%if %{with wayland}
BuildRequires:	wayland-devel
BuildRequires:	xkbcommon
%endif
Requires:	eina >= 1.2.0
Obsoletes:	ecore-desktop
Obsoletes:	ecore-job
Obsoletes:	ecore-libs
Obsoletes:	ecore-txt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Ecore is the event/X abstraction layer that makes doing selections,
Xdnd, general X stuff, event loops, timeouts and idle handlers fast,
optimized, and convenient. It's a separate library so anyone can make
use of the work put into Ecore to make this job easy for applications.

%description -l pl.UTF-8
Ecore to warstwa abstrakcji zdarzeń/X, która powoduje, że dokonywanie
zaznaczeń, Xdnd, ogólne operacje X, pętle zdarzeń, obsługa timeoutów i
bezczynności są szybkie, zoptymalizowane i wygodne. Jest to wydzielona
biblioteka, więc każdy może skorzystać z pracy włożonej w Ecore do
ułatwienia swojej pracy przy aplikacjach.

%package devel
Summary:	Header files for Ecore library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Ecore
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	eina-devel >= 1.2.0
Requires:	glib2-devel >= 2.0

%description devel
Header files for Ecore library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Ecore.

%package static
Summary:	Static Ecore library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Ecore library.

%description static -l pl.UTF-8
Statyczna biblioteka Ecore.

%package con
Summary:	Ecore Con(nection) library
Summary(pl.UTF-8):	Biblioteka połączeń Ecore Con
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnutls >= 2.10.2

%description con
Ecore Con(nection) Library.

%description con -l pl.UTF-8
Biblioteka połączeń Ecore Con.

%package con-devel
Summary:	Header file for Ecore Con library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore Con
Group:		Development/Libraries
Requires:	%{name}-con = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
%{?with_cares:Requires:	c-ares-devel >= 1.6.1}
Requires:	curl-devel
Requires:	gnutls-devel >= 2.10.2

%description con-devel
Header file for Ecore Con(nection) library.

%description con-devel -l pl.UTF-8
Plik nagłówkowy biblioteki połączeń Ecore Con.

%package con-static
Summary:	Static Ecore Con library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore Con
Group:		Development/Libraries
Requires:	%{name}-con-devel = %{version}-%{release}

%description con-static
Static Ecore Con(nection) library.

%description con-static -l pl.UTF-8
Statyczna biblioteka połączeń Ecore Con.

%package config
Summary:	Ecore Config library
Summary(pl.UTF-8):	Biblioteka właściwości Ecore Config
Group:		Libraries
Requires:	%{name}-ipc = %{version}-%{release}
Requires:	eet >= 1.6.0
Requires:	evas >= 1.2.0

%description config
Ecore Config library.

%description config -l pl.UTF-8
Biblioteka właściwości Ecore Config.

%package config-devel
Summary:	Header file for Ecore Config library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore Config
Group:		Development/Libraries
Requires:	%{name}-config = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ipc-devel = %{version}-%{release}
Requires:	eet-devel >= 1.6.0
Requires:	evas-devel >= 1.2.0

%description config-devel
Header file for Ecore Config library.

%description config-devel -l pl.UTF-8
Plik nagłówkowy biblioteki właściwości Ecore Config.

%package config-static
Summary:	Static Ecore Config library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore Config
Group:		Development/Libraries
Requires:	%{name}-config-devel = %{version}-%{release}

%description config-static
Static Ecore Config library.

%description config-static -l pl.UTF-8
Statyczna biblioteka właściwości Ecore Config.

%package directfb
Summary:	Ecore DirectFB (frame buffer system functions) library
Summary(pl.UTF-8):	Biblioteka Ecore DirectFB (funkcji systemowych framebuffera)
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	DirectFB >= 0.9.16

%description directfb
Ecore DirectFB (frame buffer system functions) library.

%description directfb -l pl.UTF-8
Biblioteka Ecore DirectFB (funkcji systemowych framebuffera).

%package directfb-devel
Summary:	Header file for Ecore DirectFB library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore DirectFB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-directfb = %{version}-%{release}
Requires:	DirectFB-devel >= 0.9.16

%description directfb-devel
Header file for Ecore DirectFB (frame buffer system functions)
library.

%description directfb-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore DirectFB (funkcji systemowych
framebuffera).

%package directfb-static
Summary:	Static Ecore DirectFB library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore DirectFB
Group:		Development/Libraries
Requires:	%{name}-directfb-devel = %{version}-%{release}

%description directfb-static
Static Ecore DirectFB (frame buffer system functions) library.

%description directfb-static -l pl.UTF-8
Statyczna biblioteka Ecore DirectFB (funkcji systemowych
framebuffera).

%package evas
Summary:	Ecore Evas library
Summary(pl.UTF-8):	Biblioteka Ecore Evas
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-directfb = %{version}-%{release}
Requires:	%{name}-fb = %{version}-%{release}
Requires:	%{name}-input = %{version}-%{release}
Requires:	%{name}-input-evas = %{version}-%{release}
Requires:	%{name}-ipc = %{version}-%{release}
Requires:	%{name}-sdl = %{version}-%{release}
%if %{with wayland}
Requires:	%{name}-wayland = %{version}-%{release}
%endif
Requires:	%{name}-x = %{version}-%{release}
Requires:	evas >= 1.2.0

%description evas
Ecore Evas library.

%description evas -l pl.UTF-8
Biblioteka Ecore Evas.

%package evas-devel
Summary:	Header file for Ecore Evas library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore Evas
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-directfb-devel = %{version}-%{release}
Requires:	%{name}-evas = %{version}-%{release}
Requires:	%{name}-fb-devel = %{version}-%{release}
Requires:	%{name}-input-devel = %{version}-%{release}
Requires:	%{name}-input-evas-devel = %{version}-%{release}
Requires:	%{name}-ipc-devel = %{version}-%{release}
Requires:	%{name}-sdl-devel = %{version}-%{release}
%if %{with wayland}
Requires:	%{name}-wayland-devel = %{version}-%{release}
%endif
Requires:	%{name}-x-devel = %{version}-%{release}
Requires:	evas-devel >= 1.2.0

%description evas-devel
Header file for Ecore Evas library.

%description evas-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore Evas.

%package evas-static
Summary:	Static Ecore Evas library
Summary(pl.UTF-8):	Biblioteka statyczna Ecore Evas
Group:		Development/Libraries
Requires:	%{name}-evas-devel = %{version}-%{release}

%description evas-static
Static Ecore Evas library.

%description evas-static -l pl.UTF-8
Biblioteka statyczna Ecore Evas.

%package fb
Summary:	Ecore FB (frame buffer system functions) library
Summary(pl.UTF-8):	Biblioteka Ecore FB (funkcji systemowych framebuffera)
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description fb
Ecore FB (frame buffer system functions) library.

%description fb -l pl.UTF-8
Biblioteka Ecore FB (funkcji systemowych framebuffera).

%package fb-devel
Summary:	Header file for Ecore FB library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore FB
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-fb = %{version}-%{release}
Requires:	tslib-devel

%description fb-devel
Header file for Ecore FB (frame buffer system functions) library.

%description fb-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore FB (funkcji systemowych
framebuffera).

%package fb-static
Summary:	Static Ecore FB library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore FB
Group:		Development/Libraries
Requires:	%{name}-fb-devel = %{version}-%{release}

%description fb-static
Static Ecore FB (frame buffer system functions) library.

%description fb-static -l pl.UTF-8
Statyczna biblioteka Ecore FB (funkcji systemowych framebuffera).

%package file
Summary:	Ecore File library
Summary(pl.UTF-8):	Biblioteka Ecore File
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-con = %{version}-%{release}

%description file
Ecore File library.

%description file -l pl.UTF-8
Biblioteka Ecore File.

%package file-devel
Summary:	Header file for Ecore File library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore File
Group:		Development/Libraries
Requires:	%{name}-con-devel = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-file = %{version}-%{release}

%description file-devel
Header file for Ecore File library.

%description file-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore File.

%package file-static
Summary:	Static Ecore File library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore File
Group:		Development/Libraries
Requires:	%{name}-file-devel = %{version}-%{release}

%description file-static
Static Ecore File library.

%description file-static -l pl.UTF-8
Statyczna biblioteka Ecore File.

%package imf
Summary:	Ecore IMF library
Summary(pl.UTF-8):	Biblioteka Ecore IMF
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description imf
Ecore IMF library.

%description imf -l pl.UTF-8
Biblioteka Ecore IMF.

%package imf-devel
Summary:	Header file for Ecore IMF library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore IMF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-imf = %{version}-%{release}

%description imf-devel
Header file for Ecore IMF library.

%description imf-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore IMF.

%package imf-static
Summary:	Static Ecore IMF library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore IMF
Group:		Development/Libraries
Requires:	%{name}-imf-devel = %{version}-%{release}

%description imf-static
Static Ecore IMF library.

%description imf-static -l pl.UTF-8
Statyczna biblioteka Ecore IMF.

%package imf-evas
Summary:	Ecore IMF Evas library
Summary(pl.UTF-8):	Biblioteka Ecore IMF Evas
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-imf = %{version}-%{release}
Requires:	evas >= 1.2.0

%description imf-evas
Ecore IMF Evas library.

%description imf-evas -l pl.UTF-8
Biblioteka Ecore IMF Evas.

%package imf-evas-devel
Summary:	Header file for Ecore IMF Evas library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore IMF Evas
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-imf-devel = %{version}-%{release}
Requires:	%{name}-imf-evas = %{version}-%{release}
Requires:	evas-devel >= 1.2.0

%description imf-evas-devel
Header file for Ecore IMF Evas library.

%description imf-evas-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore IMF Evas.

%package imf-evas-static
Summary:	Static Ecore IMF Evas library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore IMF Evas
Group:		Development/Libraries
Requires:	%{name}-imf-evas-devel = %{version}-%{release}

%description imf-evas-static
Static Ecore IMF Evas library.

%description imf-evas-static -l pl.UTF-8
Statyczna biblioteka Ecore IMF Evas.

%package input
Summary:	Ecore Input library
Summary(pl.UTF-8):	Biblioteka Ecore Input
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description input
Ecore Input library.

%description input -l pl.UTF-8
Biblioteka Ecore Input.

%package input-devel
Summary:	Header file for Ecore Input library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore Input
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-input = %{version}-%{release}

%description input-devel
Header file for Ecore Input library.

%description input-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore Input.

%package input-static
Summary:	Static Ecore Input library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore Input
Group:		Development/Libraries
Requires:	%{name}-input-devel = %{version}-%{release}

%description input-static
Static Ecore Input library.

%description input-static -l pl.UTF-8
Statyczna biblioteka Ecore Input.

%package input-evas
Summary:	Ecore Input Evas extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia Ecore Input Evas
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-input = %{version}-%{release}
Requires:	evas >= 1.2.0

%description input-evas
Ecore Input Evas extension library.

%description input-evas -l pl.UTF-8
Biblioteka rozszerzenia Ecore Input Evas.

%package input-evas-devel
Summary:	Header file for Ecore Input Evas extension library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki rozszerzenia Ecore Input Evas
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-input-devel = %{version}-%{release}
Requires:	evas-devel >= 1.2.0

%description input-evas-devel
Header file for Ecore Input Evas extension library.

%description input-evas-devel -l pl.UTF-8
Plik nagłówkowy biblioteki rozszerzenia Ecore Input Evas.

%package input-evas-static
Summary:	Static Ecore Input Evas extension library
Summary(pl.UTF-8):	Statyczna biblioteka rozszerzenia Ecore Input Evas
Group:		Libraries
Requires:	%{name}-input-evas-devel = %{version}-%{release}

%description input-evas-static
Static Ecore Input Evas extension library.

%description input-evas-static -l pl.UTF-8
Statyczna biblioteka rozszerzenia Ecore Input Evas.

%package ipc
Summary:	Ecore IPC (inter-process communication functions) library
Summary(pl.UTF-8):	Biblioteka Ecore IPC (funkcji komunikacji międzyprocesowej)
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-con = %{version}-%{release}

%description ipc
Ecore IPC (inter-process communication functions) library.

%description ipc -l pl.UTF-8
Biblioteka Ecore IPC (funkcji komunikacji międzyprocesowej).

%package ipc-devel
Summary:	Header file for Ecore IPC library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore IPC
Group:		Development/Libraries
Requires:	%{name}-con-devel = %{version}-%{release}
Requires:	%{name}-ipc = %{version}-%{release}

%description ipc-devel
Header file for Ecore IPC (inter-process communication functions)
library.

%description ipc-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore IPC (funkcji komunikacji
międzyprocesowej).

%package ipc-static
Summary:	Static Ecore IPC library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore IPC
Group:		Development/Libraries
Requires:	%{name}-ipc-devel = %{version}-%{release}

%description ipc-static
Static Ecore IPC (inter-process communication functions) library.

%description ipc-static -l pl.UTF-8
Statyczna biblioteka Ecore IPC (funkcji komunikacji międzyprocesowej).

%package sdl
Summary:	Ecore SDL library
Summary(pl.UTF-8):	Biblioteka Ecore SDL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-input = %{version}-%{release}
Requires:	SDL >= 1.2.0

%description sdl
Ecore SDL library.

%description sdl -l pl.UTF-8
Biblioteka Ecore SDL.

%package sdl-devel
Summary:	Header file for Ecore SDL library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore SDL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-input-devel = %{version}-%{release}
Requires:	SDL-devel >= 1.2.0

%description sdl-devel
Header file for Ecore SDL library.

%description sdl-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore SDL.

%package sdl-static
Summary:	Static Ecore SDL library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore SDL
Group:		Development/Libraries
Requires:	%{name}-sdl-devel = %{version}-%{release}

%description sdl-static
Static Ecore SDL library.

%description sdl-static -l pl.UTF-8
Statyczna biblioteka Ecore SDL.

%package wayland
Summary:	Ecore Wayland library
Summary(pl.UTF-8):	Biblioteka Ecore Wayland
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-input = %{version}-%{release}

%description wayland
Ecore Wayland library.

%description wayland -l pl.UTF-8
Biblioteka Ecore Wayland.

%package wayland-devel
Summary:	Header file for Ecore Wayland library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Ecore Wayland
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-input-devel = %{version}-%{release}
Requires:	wayland-devel
Requires:	xkbcommon

%description wayland-devel
Header file for Ecore Wayland library.

%description wayland-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Ecore Wayland.

%package wayland-static
Summary:	Static Ecore Wayland library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore Wayland
Group:		Development/Libraries
Requires:	%{name}-wayland-devel = %{version}-%{release}

%description wayland-static
Static Ecore Wayland library.

%description wayland-static -l pl.UTF-8
Statyczna biblioteka Ecore Wayland.

%package x
Summary:	Ecore X (functions for dealing with the X Window System) library
Summary(pl.UTF-8):	Biblioteka Ecore X (funkcji do obsługi X Window System)
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-input = %{version}-%{release}

%description x
Ecore X (functions for dealing with the X Window System) library.

%description x -l pl.UTF-8
Biblioteka Ecore X (funkcji do obsługi X Window System).

%package x-devel
Summary:	Header files for Ecore X library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Ecore X
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-input-devel = %{version}-%{release}
Requires:	%{name}-x = %{version}-%{release}
%if %{with xcb}
Requires:	libxcb-devel
Requires:	pixman-devel
Requires:	xcb-util-devel >= 0.3.8
Requires:	xcb-util-image-devel
Requires:	xcb-util-keysyms-devel >= 0.3.8
Requires:	xcb-util-wm-devel >= 0.3.8
%else
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXScrnSaver-devel
Requires:	xorg-lib-libXcomposite-devel
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXdamage-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-lib-libXi-devel >= 1.3
Requires:	xorg-lib-libXinerama-devel
Requires:	xorg-lib-libXp-devel
Requires:	xorg-lib-libXrandr-devel
Requires:	xorg-lib-libXrender-devel
Requires:	xorg-lib-libXtst-devel
%endif

%description x-devel
Header files for Ecore X (functions for dealing with the X Window
System) library.

%description x-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Ecore X (funkcji do obsługi X Window
System).

%package x-static
Summary:	Static Ecore X library
Summary(pl.UTF-8):	Statyczna biblioteka Ecore X
Group:		Development/Libraries
Requires:	%{name}-x-devel = %{version}-%{release}

%description x-static
Static Ecore X (functions for dealing with the X Window System)
library.

%description x-static -l pl.UTF-8
Statyczna biblioteka Ecore X (funkcji do obsługi X Window System).

%package module-scim
Summary:	Ecore SCIM input method module
Summary(pl.UTF-8):	Ecore - moduł metody wprowadzania znaków SCIM
Group:		X11/Libraries
Requires:	%{name}-imf = %{version}-%{release}
Requires:	%{name}-input = %{version}-%{release}
Requires:	%{name}-x = %{version}-%{release}

%description module-scim
Ecore SCIM input method module.

%description module-scim -l pl.UTF-8
Ecore - moduł metody wprowadzania znaków SCIM.

%package module-xim
Summary:	Ecore XIM input method module
Summary(pl.UTF-8):	Ecore - moduł metody wprowadzania znaków XIM
Group:		X11/Libraries
Requires:	%{name}-imf = %{version}-%{release}
Requires:	%{name}-input = %{version}-%{release}
Requires:	%{name}-x = %{version}-%{release}

%description module-xim
Ecore XIM input method module.

%description module-xim -l pl.UTF-8
Ecore - moduł metody wprowadzania znaków XIM.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--disable-ecore-evas-software-8-x11 \
	--enable-ecore-con	\
	--enable-ecore-directfb	\
	--enable-ecore-fb	\
	--enable-ecore-file	\
	--enable-ecore-ipc	\
	--enable-ecore-sdl	\
	--enable-ecore-x	\
	%{?with_xcb_api:--enable-ecore-x-xcb}	\
	--enable-ecore-evas	\
	--enable-ecore-evas-fb	\
	--enable-cares		\
	--enable-curl		\
	--enable-inotify	\
	--enable-poll

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/ecore/immodules/*.la

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig
%post	con	-p /sbin/ldconfig
%postun	con	-p /sbin/ldconfig
%post	config	-p /sbin/ldconfig
%postun	config	-p /sbin/ldconfig
%post	directfb -p /sbin/ldconfig
%postun	directfb -p /sbin/ldconfig
%post	evas	-p /sbin/ldconfig
%postun	evas	-p /sbin/ldconfig
%post	fb	-p /sbin/ldconfig
%postun	fb	-p /sbin/ldconfig
%post	file	-p /sbin/ldconfig
%postun	file	-p /sbin/ldconfig
%post	imf	-p /sbin/ldconfig
%postun	imf	-p /sbin/ldconfig
%post	imf-evas -p /sbin/ldconfig
%postun	imf-evas -p /sbin/ldconfig
%post	input	-p /sbin/ldconfig
%postun	input	-p /sbin/ldconfig
%post	input-evas -p /sbin/ldconfig
%postun	input-evas -p /sbin/ldconfig
%post	ipc	-p /sbin/ldconfig
%postun	ipc	-p /sbin/ldconfig
%post	sdl	-p /sbin/ldconfig
%postun	sdl	-p /sbin/ldconfig
%post	x	-p /sbin/ldconfig
%postun	x	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libecore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore.so.1
%dir %{_libdir}/ecore
%dir %{_libdir}/ecore/immodules

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore.so
%{_libdir}/libecore.la
%dir %{_includedir}/ecore-1
%{_includedir}/ecore-1/Ecore.h
%{_includedir}/ecore-1/Ecore_Getopt.h
%{_pkgconfigdir}/ecore.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libecore.a
%endif

%files con
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_con.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_con.so.1

%files con-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_con.so
%{_libdir}/libecore_con.la
%{_includedir}/ecore-1/Ecore_Con.h
%{_pkgconfigdir}/ecore-con.pc

%if %{with static_libs}
%files con-static
%defattr(644,root,root,755)
%{_libdir}/libecore_con.a
%endif

%if 0
%files config
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ecore_config
%attr(755,root,root) %{_libdir}/libecore_config.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_config.so.1

%files config-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_config.so
%{_libdir}/libecore_config.la
%{_includedir}/ecore-1/Ecore_Config.h
%{_pkgconfigdir}/ecore-config.pc

%if %{with static_libs}
%files config-static
%defattr(644,root,root,755)
%{_libdir}/libecore_config.a
%endif
%endif

%files directfb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_directfb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_directfb.so.1

%files directfb-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_directfb.so
%{_libdir}/libecore_directfb.la
%{_includedir}/ecore-1/Ecore_DirectFB.h
%{_pkgconfigdir}/ecore-directfb.pc

%if %{with static_libs}
%files directfb-static
%defattr(644,root,root,755)
%{_libdir}/libecore_directfb.a
%endif

%files evas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_evas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_evas.so.1

%files evas-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_evas.so
%{_libdir}/libecore_evas.la
%{_includedir}/ecore-1/Ecore_Evas.h
%{_pkgconfigdir}/ecore-evas.pc

%if %{with static_libs}
%files evas-static
%defattr(644,root,root,755)
%{_libdir}/libecore_evas.a
%endif

%files fb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_fb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_fb.so.1

%files fb-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_fb.so
%{_libdir}/libecore_fb.la
%{_includedir}/ecore-1/Ecore_Fb.h
%{_pkgconfigdir}/ecore-fb.pc

%if %{with static_libs}
%files fb-static
%defattr(644,root,root,755)
%{_libdir}/libecore_fb.a
%endif

%files file
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_file.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_file.so.1

%files file-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_file.so
%{_libdir}/libecore_file.la
%{_includedir}/ecore-1/Ecore_File.h
%{_pkgconfigdir}/ecore-file.pc

%if %{with static_libs}
%files file-static
%defattr(644,root,root,755)
%{_libdir}/libecore_file.a
%endif

%files imf
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_imf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_imf.so.1

%files imf-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_imf.so
%{_libdir}/libecore_imf.la
%{_includedir}/ecore-1/Ecore_IMF.h
%{_pkgconfigdir}/ecore-imf.pc

%if %{with static_libs}
%files imf-static
%defattr(644,root,root,755)
%{_libdir}/libecore_imf.a
%endif

%files imf-evas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_imf_evas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_imf_evas.so.1

%files imf-evas-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_imf_evas.so
%{_libdir}/libecore_imf_evas.la
%{_includedir}/ecore-1/Ecore_IMF_Evas.h
%{_pkgconfigdir}/ecore-imf-evas.pc

%if %{with static_libs}
%files imf-evas-static
%defattr(644,root,root,755)
%{_libdir}/libecore_imf_evas.a
%endif

%files input
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_input.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_input.so.1

%files input-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_input.so
%{_libdir}/libecore_input.la
%{_includedir}/ecore-1/Ecore_Input.h
%{_pkgconfigdir}/ecore-input.pc

%if %{with static_libs}
%files input-static
%defattr(644,root,root,755)
%{_libdir}/libecore_input.a
%endif

%files input-evas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_input_evas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_input_evas.so.1

%files input-evas-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_input_evas.so
%{_libdir}/libecore_input_evas.la
%{_includedir}/ecore-1/Ecore_Input_Evas.h
%{_pkgconfigdir}/ecore-input-evas.pc

%if %{with static_libs}
%files input-evas-static
%defattr(644,root,root,755)
%{_libdir}/libecore_input_evas.a
%endif

%files ipc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_ipc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_ipc.so.1

%files ipc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_ipc.so
%{_libdir}/libecore_ipc.la
%{_includedir}/ecore-1/Ecore_Ipc.h
%{_pkgconfigdir}/ecore-ipc.pc

%if %{with static_libs}
%files ipc-static
%defattr(644,root,root,755)
%{_libdir}/libecore_ipc.a
%endif

%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_sdl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_sdl.so.1

%files sdl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_sdl.so
%{_libdir}/libecore_sdl.la
%{_includedir}/ecore-1/Ecore_Sdl.h
%{_pkgconfigdir}/ecore-sdl.pc

%if %{with static_libs}
%files sdl-static
%defattr(644,root,root,755)
%{_libdir}/libecore_sdl.a
%endif

%if %{with wayland}
%files wayland
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_wayland.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_wayland.so.1

%files wayland-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_wayland.so
%{_libdir}/libecore_wayland.la
%{_includedir}/ecore-1/Ecore_Wayland.h
%{_pkgconfigdir}/ecore-wayland.pc

%if %{with static_libs}
%files wayland-static
%defattr(644,root,root,755)
%{_libdir}/libecore_wayland.a
%endif
%endif

%files x
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_x.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libecore_x.so.1

%files x-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecore_x.so
%{_libdir}/libecore_x.la
%{_includedir}/ecore-1/Ecore_X.h
%{_includedir}/ecore-1/Ecore_X_Atoms.h
%{_includedir}/ecore-1/Ecore_X_Cursor.h
%{_pkgconfigdir}/ecore-x.pc

%if %{with static_libs}
%files x-static
%defattr(644,root,root,755)
%{_libdir}/libecore_x.a
%endif

%if %{with scim}
%files module-scim
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ecore/immodules/scim.so
%endif

%if %{without xcb_api}
%files module-xim
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ecore/immodules/xim.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ecore.spec,v $
Revision 1.69  2012/05/29 14:12:12  qboosh
- updated to 1.2.0
- removed obsolete am patch
- added sh patch (bashism fix)
- better handle xcb selection
- added -module-scim
- added -wayland* subpackages (disabled by default as they require unreleased xkbcommon)

Revision 1.68  2012/02/12 08:18:48  arekm
- release 4

Revision 1.67  2012/01/21 19:59:52  zbyniu
- rel 3

Revision 1.66  2012/01/01 20:05:23  qboosh
- added am patch (fixes build with automake 1.11.2)
- release 2

Revision 1.65  2011/12/11 16:00:24  qboosh
- updated to 1.1.0

Revision 1.64  2011/09/09 19:11:21  arekm
- release 3

Revision 1.63  2011/08/31 07:00:17  arekm
- release 2

Revision 1.62  2011/06/01 18:21:37  qboosh
- updated to 1.0.1
- adjusted xcb-util deps wrt. 0.3.8 split

Revision 1.61  2011/02/26 07:49:44  arekm
- release 3

Revision 1.60  2011/02/04 23:19:38  sparky
- %description for correct %package

Revision 1.59  2011/02/02 16:48:38  qboosh
- updated URL

Revision 1.58  2011/01/31 18:05:14  lisu
- rel 2

Revision 1.57  2011/01/31 13:54:25  lisu
- md5 update

Revision 1.56  2011/01/31 13:39:55  lisu
- 1.0.0 is now stable

Revision 1.55  2011/01/25 11:29:02  lisu
- missing R for ecore-evas-devel package

Revision 1.54  2010/12/05 08:41:14  qboosh
- note: desktop,job,txt modules are gone; config module currently disabled in sources

Revision 1.53  2010/12/05 08:40:18  qboosh
- License is BSD
- updated BRs/Rs
- fine-grained devel/static split, now it's possible to maintain full and consistent dependency sets

Revision 1.52  2010/12/04 18:54:09  qboosh
- updated to 1.0.0.beta3

Revision 1.51  2010/11/16 17:46:08  witekfl
- fixed doc

Revision 1.50  2010/11/16 17:31:30  witekfl
- 1.0.0.beta2

Revision 1.49  2010/08/06 13:44:16  witekfl
- LATEST snap

Revision 1.48  2010/08/04 20:56:36  witekfl
- up to the snapshot 0.9.9.49898

Revision 1.47  2008/10/10 17:11:45  qboosh
- simplified setup

Revision 1.46  2008/10/09 18:00:26  pablo
- updated
- using "official" snapshots

Revision 1.45  2008/09/22 18:31:57  pablo
- remove unnecessary requires from subpackage config

Revision 1.44  2008/08/25 16:42:32  pablo
- updated to 20080813 snap

Revision 1.43  2008/06/03 20:44:39  qboosh
- ghost soname symlinks
- update link patch, removed obsolete tslib patch
- build directfb module (without evas support) and sdl (with evas)
- separated evas-devel because of its larger dependencies
- thus separated -imf-evas

Revision 1.42  2008-06-01 14:59:54  cactus
- ecore-desktop enabled
- removed unknow options

Revision 1.41  2008-06-01 14:06:21  cactus
- up to 0.9.9.043
- dbus moved to e_dbus.spec
- imf subpackage added

Revision 1.40  2008-05-31 20:44:13  cactus
- more flexible to update

Revision 1.39  2007-09-09 11:48:38  qboosh
- updated URL

Revision 1.38  2007/09/09 11:04:29  qboosh
- dropped INSTALL from doc (nothing useful)

Revision 1.37  2007/09/09 11:02:25  qboosh
- updated to 0.9.9.038
- added inter-module dependencies

Revision 1.36  2007/07/03 09:09:49  arekm
- rel 5

Revision 1.35  2007/04/02 12:10:47  baggins
- rel 4

Revision 1.34  2007/03/18 13:31:21  megabajt
- release 3 to rebuild with DirectFB 1.0.0

Revision 1.33  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.31  2007/02/11 15:27:36  arekm
- fix pl langcode

Revision 1.30  2006/12/23 18:07:41  arekm
- rel 2

Revision 1.29  2006/12/05 22:01:48  darekr
- typo

Revision 1.28  2006/12/05 21:55:51  qboosh
- pl

Revision 1.27  2006/12/01 02:03:31  sparky
- xorg* BRs

Revision 1.26  2006/12/01 01:44:01  sparky
- split libs

Revision 1.25  2006/12/01 00:38:02  sparky
- regenerate auto* to force use of correct libtool

Revision 1.24  2006/12/01 00:28:42  sparky
- up to 0.9.9.036; test soft was removed

Revision 1.23  2006/09/10 19:10:04  sparky
- up to 0.9.9.032
- list all libraries in %files

Revision 1.22  2006/07/20 13:57:44  sparky
- up to 0.9.9.031

Revision 1.21  2006/07/10 15:58:49  sparky
- up to 0.9.9.030

Revision 1.20  2006/07/06 02:06:29  sparky
- up to 0.9.9.029

Revision 1.19  2006/06/27 00:22:54  sparky
- up to 0.9.9.028, enabled evas-directfb

Revision 1.18  2006/06/19 17:21:02  sparky
- up to 0.9.9.027

Revision 1.17  2006/03/31 14:56:08  sparky
- up to 0.9.9.026

Revision 1.16  2006/03/17 20:02:48  sparky
- up to 0.9.9.025; ecore_test segfaults, hmmm....

Revision 1.15  2006/03/12 16:58:59  sparky
- up to 0.9.9.024
- cleanups, DIRECTFB won't build yet

Revision 1.14  2006/01/14 17:47:55  sparky
- up to 0.9.9.023

Revision 1.13  2005/12/03 15:53:44  sparky
- up to 0.9.9.022
- no auto* regeneration, no nead to patch

Revision 1.12  2005/11/30 13:50:34  charles
- updated to 0.9.9.020
- bcond static_libs

Revision 1.11  2005/11/20 17:38:33  sparky
- fixed md5

Revision 1.10  2005/11/20 17:13:23  sparky
- up to 0.9.9.019
- enabled curl support
- disabled directfb (broken for now), disabling required dirty hack: 'if' in
  automake is not working correctly ?
- enabled inofity, but there is no inotify.h in llh yet

Revision 1.9  2005/10/29 17:38:43  sparky
- use externam vera
- separated libs subpackage

Revision 1.8  2005/10/11 22:19:16  charles
- updated to 0.9.9.018
- added -missing_m4.patch

Revision 1.7  2005/08/25 11:50:22  charles
- proper URL

Revision 1.6  2005/08/24 18:27:57  charles
- updated to 0.9.9.013
- new Source0 ("official" snapshots)
- fixed missing AC_C___ATTRIBUTE__ macro

Revision 1.5  2005/07/10 07:17:59  sparky
- Source0: ftp -> http

Revision 1.4  2005/07/09 13:32:36  sparky
- new snap
- status: builds, works well

Revision 1.3  2005/03/30 22:32:32  sparky
- updated to 20050329 snap

Revision 1.2  2005/01/07 23:46:31  qboosh
- pl

Revision 1.1  2005/01/07 19:38:22  sparky
- NEW EFL (E Fundation Libraries)
- builds well but still so much to do...
- anyone knows polish ?
